package me.qwq.doghouse.flexmark.ext.lazyimg;

import org.jetbrains.annotations.NotNull;

import com.vladsch.flexmark.util.data.DataHolder;
import com.vladsch.flexmark.util.data.MutableDataHolder;
import com.vladsch.flexmark.util.data.MutableDataSetter;

public class LazyImgOptions implements MutableDataSetter {

    final public String mermaidLanguage;
    
    @Override
    public @NotNull MutableDataHolder setIn(@NotNull MutableDataHolder dataHolder) {
        dataHolder.set(LazyImgExtension.MERMAID_LANGUAGE, mermaidLanguage);
        return dataHolder;
    }
    
    public LazyImgOptions(DataHolder options) {
        mermaidLanguage = LazyImgExtension.MERMAID_LANGUAGE.get(options);
    }

}
